Bug 1647631 - [RFE] Change Katello bootstrap.py to preserve rhsm proxy settings
Summary: [RFE] Change Katello bootstrap.py to preserve rhsm proxy settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: 6.3.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Rich Jerrido
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-07 23:24 UTC by wclark
Modified: 2019-05-14 12:38 UTC (History)
5 users (show)

Fixed In Version: katello-client-bootstrap-1.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 283 None None None 2019-01-07 13:25:30 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:47 UTC

Description wclark 2018-11-07 23:24:31 UTC
When migrating systems using bootstrap.py, an existing katello-ca-consumer bundle can be removed by:

 call_yum("remove", "'katello-ca-consumer-*' katello-agent gofer katello-host-tools katello-host-tools-fact-plugin", False)

On some versions of the RPM, removal will cause the /etc/rhsm/rhsm.conf to be replaced with /etc/rhsm/rhsm.conf.kat-backup which was created when the RPM was originally installed.

The issue arises when the customer has made a change to their proxy configuration in /etc/rhsm/rhsm.conf after the kat-backup file was created, so reverting to the kat-backup breaks the proxy configuration for RHSM.

A note in the Satellite documentation to be aware of this behavior when migrating systems with bootstrap.py could help to save a lot of troubleshooting time for the customer.

Comment 1 Vlada Grosu 2018-11-08 07:50:11 UTC
Hi William, 
Thank you for opening this ticket.

Comment 2 Rich Jerrido 2018-11-09 16:59:53 UTC
While this is a corner case, I would prefer that we solve this via a capability in the bootstrap script itself to 'preserve proxy' when reconfiguring/migrating the client. Moving to the bootstrap component.

Comment 3 Evgeni Golov 2019-01-07 13:25:30 UTC
https://github.com/Katello/katello-client-bootstrap/pull/283 was merged → POST

Comment 4 wclark 2019-01-08 23:49:22 UTC
in the upstream, bootstrap.py now implements the option `--preserve-rhsm-proxy` which retrieves the current http proxy server configuration from /etc/rhsm/rhsm.conf and re-applies it to the same file after the file has been modified by installing the katello-ca-consumer*.rpm

Comment 9 errata-xmlrpc 2019-05-14 12:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.